#include "Classifier.hpp"

Classifier::Classifier(const std::string & name, const std::string & topology, const std::string & tsFile)
{
  this->name = name;
  this->transitionSet.reset(new TransitionSet(tsFile));
  this->nn = MLP(topology);
}

TransitionSet & Classifier::getTransitionSet()
{
  return *transitionSet;
}

